Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/REST/Client/Values/ContentType/ContentTypeDraft.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values;
10 use eZ\Publish\API\Repository\Values\ContentType\ContentTypeDraft as APIContentTypeDraft;
11 use eZ\Publish\Core\Repository\Values\MultiLanguageTrait;
12
16 class ContentTypeDraft extends APIContentTypeDraft
17 {
18 use MultiLanguageTrait;
19
25 protected $innerContentType;
26
32 public function __construct(Values\ContentType\ContentType $innerContentType)
33 {
34 parent::__construct([]);
35 $this->innerContentType = $innerContentType;
36 }
37
45 public function getInnerContentType()
46 {
47 return $this->innerContentType;
48 }
49
53 public function getNames()
54 {
55 return $this->innerContentType->getNames();
56 }
57
61 public function getName($languageCode = null)
62 {
63 return $this->innerContentType->getName($languageCode);
64 }
65
69 public function getDescriptions()
70 {
71 return $this->innerContentType->getDescriptions();
72 }
73
77 public function getDescription($languageCode = null)
78 {
79 return $this->innerContentType->getDescription($languageCode);
80 }
81
87 public function getContentTypeGroups()
88 {
89 return $this->innerContentType->getContentTypeGroups();
90 }
91
97 public function getFieldDefinitions()
98 {
99 return $this->innerContentType->getFieldDefinitions();
100 }
101
109 public function getFieldDefinition($fieldDefinitionIdentifier)
110 {
111 return $this->innerContentType->getFieldDefinition($fieldDefinitionIdentifier);
112 }
113
114 public function __get($propertyName)
115 {
116 return $this->innerContentType->$propertyName;
117 }
118
119 public function __set($propertyName, $propertyValue)
120 {
121 $this->innerContentType->$propertyName = $propertyValue;
122 }
123
124 public function __isset($propertyName)
125 {
126 return isset($this->innerContentType->$propertyName);
127 }
128 }
eZ\Publish\API\Repository\Values\ContentType\ContentTypeDraft
This class represents a draft of a content type.
Definition: API/Repository/Values/ContentType/ContentTypeDraft.php:13
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft
This class represents a draft of a content type.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:17
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getDescriptions
getDescriptions()
{Return the human readable description in all provided languages.The structure of the return value is...
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:69
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getContentTypeGroups
getContentTypeGroups()
This method returns the content type groups this content type is assigned to.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:87
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\__set
__set($propertyName, $propertyValue)
Magic set function handling writes to non public properties.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:119
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getFieldDefinition
getFieldDefinition($fieldDefinitionIdentifier)
This method returns the field definition for the given identifier.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:109
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getDescription
getDescription($languageCode=null)
{Return the human readable description of the domain object in a given language.If $languageCode is d...
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:77
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\$innerContentType
$innerContentType
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:25
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getName
getName($languageCode=null)
{Return the name of the domain object in a given language.If $languageCode is defined,...
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:61
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\__construct
__construct(Values\ContentType\ContentType $innerContentType)
Creates a new draft with $innerContentType.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:32
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getFieldDefinitions
getFieldDefinitions()
This method returns the content type field definitions from this type.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:97
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getInnerContentType
getInnerContentType()
Returns the inner content type.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:45
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\getNames
getNames()
{Return the human readable name in all provided languages.The structure of the return value is: arra...
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:53
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\__get
__get($propertyName)
Magic get function handling read to non public properties.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:114
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeDraft\__isset
__isset($propertyName)
Magic isset function handling isset() to non public properties.
Definition: Core/REST/Client/Values/ContentType/ContentTypeDraft.php:124
eZ\Publish\Core\REST\Client\Values\ContentType
Definition: Core/REST/Client/Values/ContentType/ContentType.php:7
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.